#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-E64ngsVR33n7PJzEHq7Ux2-dns-internal
key:                  dns-4.0.1-E64ngsVR33n7PJzEHq7Ux2-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  6f8ff83780333fbe31ab86a60228624a
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-E64ngsVR33n7PJzEHq7Ux2-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-DsK1F0iuVhj9HaenwCyvAG
    attoparsec-0.14.4-3b5hJmAVxMZ2YoY0FeNqg3
    auto-update-0.1.6-K81uI2LhcW7m9m3Ougqmz base-4.15.1.0
    base16-bytestring-1.0.2.0-Fy7mwMc7CDZF76J1iQM2vV
    base64-bytestring-1.2.1.0-D33qXGXKpGmJ3T6mGyl7f0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-3glVgFBweYyLIhWNiCMStp
    hourglass-0.2.12-7JzzMkc9m3AEFAS3XWxkSD
    iproute-1.7.12-HevOmryDnl63GBsIGDJKeM mtl-2.2.2
    network-3.1.2.7-EuFNMFR0kXs1j7tEW9CoN1
    psqueues-0.2.7.3-KvGBYDWeVAmHXM4g69aZRJ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-2n95eTcDrwO2I1p7vWSWtQ
key:                  dns-4.0.1-2n95eTcDrwO2I1p7vWSWtQ
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  2dd80a2367f75241f0391945b3323cdc
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-2n95eTcDrwO2I1p7vWSWtQ
depends:
    array-0.5.4.0 async-2.2.4-DsK1F0iuVhj9HaenwCyvAG
    attoparsec-0.14.4-3b5hJmAVxMZ2YoY0FeNqg3
    auto-update-0.1.6-K81uI2LhcW7m9m3Ougqmz base-4.15.1.0
    base16-bytestring-1.0.2.0-Fy7mwMc7CDZF76J1iQM2vV
    base64-bytestring-1.2.1.0-D33qXGXKpGmJ3T6mGyl7f0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-3glVgFBweYyLIhWNiCMStp
    dns-4.0.1-E64ngsVR33n7PJzEHq7Ux2-dns-internal
    hourglass-0.2.12-7JzzMkc9m3AEFAS3XWxkSD
    iproute-1.7.12-HevOmryDnl63GBsIGDJKeM mtl-2.2.2
    network-3.1.2.7-EuFNMFR0kXs1j7tEW9CoN1
    psqueues-0.2.7.3-KvGBYDWeVAmHXM4g69aZRJ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

